
-- @Author: Ragman2414
-- @Date: 02.12.2021
-- @Version: 1.0.0.0


function init()
    if g_specializationManager:getSpecializationByName("reduceMaintenance") == nil then
        g_specializationManager:addSpecialization("reduceMaintenance", "ReduceMaintenance", Utils.getFilename("reduceMaintenance.lua",g_currentModDirectory), true, nil);

        for vehicleType, vehicle in pairs(g_vehicleTypeManager.types) do
            if vehicle ~= nil then
                for name in pairs(vehicle.specializationsByName) do
                    if string.lower(name) == "wearable" then
                        local specializationObject = g_specializationManager:getSpecializationObjectByName("reduceMaintenance");

                        if vehicle.specializationsByName["reduceMaintenance"] == nil then
                            vehicle.specializationsByName["reduceMaintenance"] = specializationObject;
                            table.insert(vehicle.specializationNames, "reduceMaintenance");
                            table.insert(vehicle.specializations, specializationObject);
                        end;
                    end;

                end;
            end;
        end;
    end
end

init()
;